Bug 1628657 - Unable to retry Embedded Ansible method in a state machine
Summary: Unable to retry Embedded Ansible method in a state machine
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.5
Assignee: William Fitzgerald
QA Contact: Satyajit Bulage
URL:
Whiteboard:
Depends On: 1625047
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-13 16:16 UTC by Satoe Imaishi
Modified: 2018-11-05 13:59 UTC (History)
10 users (show)

Fixed In Version: 5.9.5.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1625047
Environment:
Last Closed: 2018-11-05 13:59:24 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3466 None None None 2018-11-05 13:59:58 UTC

Comment 4 Satyajit Bulage 2018-10-16 20:24:42 UTC
Verification Steps:

1. Enable Embedded Ansible
2. Add repository - https://github.com/billfitzgerald0120/ansible_playbooks
3. Import Ansible_StateMachine_Set_Retry
4. Enable domain
5. Verify the Playbook method (set_retry_4_times) or use your own playbook
6. Add a dummy dialog
7. Add a catalog
8. Add a new Catalog item (Generic Type)
9. Order service
10. Check automation.log to make sure the playbook retried 3 times and then ended OK.


Verified Version: 5.9.5.1.20181008190812_3752291

Comment 7 errata-xmlrpc 2018-11-05 13:59:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466


Note You need to log in before you can comment on or make changes to this bug.